Minecraft Wiki

除另有声明,转载时均必须注明出处若簡繁轉換出錯,請以遊戲內為準请勇于扩充与修正内容有兴趣逛逛我们的微博沟通交流,欢迎到社区专页需要协助,请在告示板留言

了解更多

Minecraft Wiki
Advertisement
1.19.1-pre5
1.19.1-pre5.png
Java Edition 1.19.1-pre5 Simplified.png
版本

Java版

类型

预发布版

发布日期

2022年7月15日

预发布版归属

1.19.1

下载

客户端.json
服务端

混淆映射表

客户端
服务端

协议版本
  •  DEC1073741922
  •  HEX40000062
数据版本

3113

1.19.1-pre5Java版1.19.1的第五个预发布版,发布于2022年7月15日[1],对聊天功能做了一些调整,并修复了一些漏洞。

更改[]

常规[]

聊天
  • 输入聊天消息时,聊天消息的签署状态会用颜色进行标识。
    • 颜色标识会出现在聊天输入内容左侧。如果正在使用聊天预览,则显示在聊天预览左侧。其显示为一个纯色长方形。
    • 显示的消息被签署后,标识为绿色。
    • 显示的消息待签署时,标识为橙色。
  • 聊天类型team_msg_command被拆分为team_msg_command_incomingteam_msg_command_outgoing
聊天预览
  • 预览待签署内容时,其背景颜色深度会较其他情况淡。
  • 聊天预览的“修改时”模式不再在消息未被服务器修改时显示预览。
  • 聊天预览现在在单人游戏中启用,并在使用含选择器替换的命令(如/say)时显示。
  • 预览过的悬停事件和点击事件现在以纯色背景高亮显示。
选项
  • 在“聊天预览”聊天设置选项中加入了“发送时”选项,用于仅在发送消息时更新聊天预览。
    • 选择“发送时”时,如要确认发送消息,需要先按↵ Enter键显示聊天预览,再按一次才会发送。
    • 之前的“开”选项更名为“修改时”。
社交屏幕
  • 更改了下列举报类型的描述:
    • 即将发生的伤害行为 — 自残或自杀(仅原文变动):有人威胁要自残或谈论现实生活中的自残行为。
      • 旧描述:Someone is threatening to harm themselves in real life, or talking about harming yourself in real life.
      • 新描述:Someone is threatening to harm themselves in real life or talking about harming themselves in real life.
    • 即将发生的伤害行为 — 威胁伤害他人
      • 旧描述:有人威胁要自残或谈论现实生活中的自残行为。
      • 新描述:有人威胁要在现实生活中伤害你或其他人。
    • 恐怖主义或暴力极端主义(仅原文变动):有人因政治、宗教、意识形态或其他原因,谈论、宣扬、威胁实施恐怖主义或极端暴力行为。
      • 旧描述:Someone is talking about, promoting, or threatening with acts of terrorism or violent extremism for political, religious, ideological, or other reasons.
      • 新描述:Someone is talking about, promoting, or threatening to commit acts of terrorism or violent extremism for political, religious, ideological, or other reasons.

修复[]

修复了11个漏洞
1.19前正式版的漏洞
  • MC-130243/debug命令返回的停止消息总是遵循操作系统区域设置特定数字格式。
  • MC-149047 — 滚轮灵敏度滑块上的文字总是遵循操作系统区域设置特定数字格式。
1.19的漏洞
  • MC-252546 — 与1.18.2相比,音频质量较差。
  • MC-252702 — 尝试用阿拉伯语、波斯语启动1.19时,游戏会崩溃。
  • MC-253888 — 被服务器更改过的消息仍会被签署且能被举报。
  • MC-254228 — 依赖操作系统区域设置的String.formatJava函数导致客户端数据生成器崩溃。
  • MC-254230/worldborder center命令回显使用了操作系统的特定数字格式。
1.19.1开发版本的漏洞
  • MC-253223gui.abuseReport.reason.terrorism_or_violent_extremism.description英语字符串中,有一个介词的用法不正确。
  • MC-253950 — 键入聊天消息后过快将其发出,会使最终正确的聊天预览无法被签署。
  • MC-253997 — “即将发生的伤害行为 — 威胁伤害他人”举报类型的描述看上去与其标题不符。
上个开发版本的漏洞
  • MC-254089 — 聊天预览组件可允许服务器“隐藏”聊天内容。

参考[]

  1. “Minecraft 1.19.1 Pre-Release 5” – Minecraft.net,2022年7月15日
Advertisement